Subject: Re: bug#37609: Tool-bar-mode grows the frame's height

From: Juri Linkov <[email-masked]>
Date: Sun, 06 Oct 2019 01:44:18 +0300

>> We probably could suppress such untimely growing by tricking the code
>> into believing that the tool bar has already been drawn at least once
>> even if it was not drawn at all.  But I'm not sure whether such a
>> change could break runs where showing the tool bar might be delayed
>> for some reason.  Getting the 'frame-inhibit-implied-resize' stuff
>> perform sufficiently well was quite tricky.  So is the behavior we see
>> here annoying enough to warrant such a change?
>
> As long as the behavior is consistent on all platforms, as much as
> practically possible, I'm okay with this behavior.  But I'm not sure
> what was the conclusion regarding Juri's GTK configuration where there
> was a different behavior regarding the tab bar.  Was that resolved?

Since there is no such problem on GTK builds that use external tool-bars,
maybe it's ok that this behavior is only on Lucid, Motif, Windows?